<?php
/*
Plugin Name: Follow Now
Plugin URI: http://www.tomsdimension.de/wp-plugins/follow-now
Description: Strips the rel="nofollow" tags from comments and comment author URL since WP 2.7. 
Version: 0.1
Author: Tom Braider
Author URI: http://www.tomsdimension.de
*/

function strip_nofollow($ret) {
	$ret = str_replace(" rel='external nofollow'"," rel='external'", $ret);
	$ret = str_replace(" rel='nofollow'"," ", $ret);
	$ret = str_replace(' rel="external nofollow"','rel="external"', $ret);
	$ret = str_replace(' rel="nofollow"',' ', $ret);
	return $ret;
}

remove_filter('pre_comment_content', 'wp_rel_nofollow', 15);
add_filter('get_comment_author_link', 'strip_nofollow', 16);
add_filter('comment_text', 'strip_nofollow', 16);
?>